<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		var fantasma={
			x:100,
			y:100,
			direccion:"derecha",
			fijar:100,
			imagen:new Image()
		}

		fantasma.imagen.src="imgs/malo.png";

		var globales={
			canvas:null, 
			contexto:null,
			iCanvas:function(a){
				this.canvas=document.querySelector(a);
				this.contexto=this.canvas.getContext("2d");
			},
			dibujar:function(imagen,x,y){
				this.contexto.drawImage(imagen,y,y);
			},
			borrar:function(){
				this.contexto.clearRect(0,0,this.canvas.width,this.canvas.height);
			}
		};

		window.addEventListener("load",function(){
			globales.iCanvas("canvas");
			globales.dibujar(fantasma.imagen,fantasma.x,fantasma.y);

		});
	</script>
</head>
<body>
	<canvas width="800" height="600" style="background-color: #ccc">
		
	</canvas>
</body>
</html>